CVE-2018-0737

NameCVE-2018-0737
DescriptionThe OpenSSL RSA Key generation algorithm has been shown to be vulnerable to a cache timing side channel attack. An attacker with sufficient access to mount cache timing attacks during the RSA key generation process could recover the private key. Fixed in OpenSSL 1.1.0i-dev (Affected 1.1.0-1.1.0h). Fixed in OpenSSL 1.0.2p-dev (Affected 1.0.2b-1.0.2o).
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)
ReferencesDLA-1449-1, DSA-4348-1, DSA-4355-1, ELA-21-1
Debian Bugs895844, 895845

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
openssl (PTS)jessie, jessie (lts)1.0.1t-1+deb8u21fixed
stretch (security)1.1.0l-1~deb9u6fixed
stretch (lts), stretch1.1.0l-1~deb9u9fixed
buster1.1.1n-0+deb10u3fixed
buster (security)1.1.1n-0+deb10u6fixed
bullseye1.1.1w-0+deb11u1fixed
bullseye (security)1.1.1n-0+deb11u5fixed
bookworm3.0.13-1~deb12u1fixed
bookworm (security)3.0.11-1~deb12u2fixed
sid, trixie3.2.2-1fixed
openssl1.0 (PTS)stretch (security)1.0.2u-1~deb9u7fixed
stretch (lts), stretch1.0.2u-1~deb9u9fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
opensslsourcewheezy1.0.1t-1+deb7u6ELA-21-1
opensslsourcejessie1.0.1t-1+deb8u9DLA-1449-1
opensslsourcestretch1.1.0j-1~deb9u1DSA-4348-1
opensslsource(unstable)1.1.0h-3low895844
openssl1.0sourcestretch1.0.2q-1~deb9u1DSA-4355-1
openssl1.0source(unstable)1.0.2q-1low895845

Notes

[wheezy] - openssl <postponed> (Can wait for next update)
https://www.openssl.org/news/secadv/20180416.txt
OpenSSL_1_1_0-stable: https://git.openssl.org/?p=openssl.git;a=commit;h=6939eab03a6e23d2bd2c3f5e34fe1d48e542e787
OpenSSL_1_0_2-stable: https://git.openssl.org/?p=openssl.git;a=commit;h=349a41da1ad88ad87825414752a8ff5fdd6a6c3f
https://eprint.iacr.org/2018/367

Search for package or bug name: Reporting problems